Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::BestChoiceBundle Struct Reference

`#include <language_model.h>`

List of all members.

## Public Member Functions

| BestChoiceBundle (STATE *s, WERD_CHOICE *bc, WERD_CHOICE *rc, BLOB_CHOICE_LIST_VECTOR *bcc)

## Public Attributes

STATE * | best_state
WERD_CHOICE * | best_choice
WERD_CHOICE * | raw_choice
BLOB_CHOICE_LIST_VECTOR * | best_char_choices
bool | updated
DANGERR | fixpt
ViterbiStateEntry * | best_vse
BLOB_CHOICE * | best_b

## Detailed Description

Definition at line 240 of file language_model.h.

## Constructor & Destructor Documentation

tesseract::BestChoiceBundle::BestChoiceBundle | ( | STATE * | s,
|  | WERD_CHOICE * | bc,
|  | WERD_CHOICE * | rc,
|  | BLOB_CHOICE_LIST_VECTOR * | bcc
| ) |  |

inline

Definition at line 241 of file language_model.h.

: best_state(s), best_choice(bc), raw_choice(rc),
best_char_choices(bcc), updated(false), best_vse(NULL), best_b(NULL) {}

## Member Data Documentation

BLOB_CHOICE* tesseract::BestChoiceBundle::best_b

Definition at line 253 of file language_model.h.

BLOB_CHOICE_LIST_VECTOR* tesseract::BestChoiceBundle::best_char_choices

Definition at line 249 of file language_model.h.

WERD_CHOICE* tesseract::BestChoiceBundle::best_choice

Definition at line 247 of file language_model.h.

STATE* tesseract::BestChoiceBundle::best_state

Definition at line 246 of file language_model.h.

ViterbiStateEntry* tesseract::BestChoiceBundle::best_vse

Definition at line 252 of file language_model.h.

DANGERR tesseract::BestChoiceBundle::fixpt

Definition at line 251 of file language_model.h.

WERD_CHOICE* tesseract::BestChoiceBundle::raw_choice

Definition at line 248 of file language_model.h.

bool tesseract::BestChoiceBundle::updated

Definition at line 250 of file language_model.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/language_model.h